--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: (resource)
comment: 
- !ruby/struct:SM::Flow::P 
  body: Deletes every Resource for which block evaluates to true
- !ruby/struct:SM::Flow::P 
  body: "@yield [Resource] Each resource in the Collection"
- !ruby/struct:SM::Flow::P 
  body: "@return [Collection]"
- !ruby/struct:SM::Flow::VERB 
  body: "  If resources were removed\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [nil]"
- !ruby/struct:SM::Flow::VERB 
  body: "  If no resources were removed\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Collection#reject!
is_singleton: false
name: reject!
params: () {|resource| ...}
visibility: public
